wxWidgets: wxStdOutputStreamBuffer Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxStdOutputStreamBuffer Class Reference
Class List by Category » Streams

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-4.x86_64/src/wxWidgets-3.1.5/interface/wx/stdstream.h>`

Inheritance diagram for wxStdOutputStreamBuffer:
[legend]

## Detailed Description

wxStdOutputStreamBuffer is a std::streambuf derived stream buffer which writes to a wxOutputStream.

Example:

wxFFileOutputStream file("cout.txt.gz");
wxZlibOutputStream gzipOutput(file, -1, wxZLIB_GZIP);
wxStdOutputStreamBuffer gzipStreamBuffer(gzipOutput);
// redirect std::cout to cout.txt.gz using GZIP compression
std::streambuf* streamBufferOld = std::cout.rdbuf(&gzipStreamBuffer);
// write to std::cout
std::cout << "Hello world!" << std::endl;
// restore std::cout
std::cout.rdbuf(streamBufferOld);
wxFFileOutputStream
This class represents data written to a file.
Definition wfstream.h:118
wxStdOutputStreamBuffer::wxStdOutputStreamBuffer
wxStdOutputStreamBuffer(wxOutputStream &stream)
Creates a std::steambuf derived stream buffer which writes to a wxOutputStream.
wxZlibOutputStream
This stream compresses all data written to it.
Definition zstream.h:44
wxZLIB_GZIP
@ wxZLIB_GZIP
gzip header and checksum, requires zlib 1.2.1+
Definition zstream.h:21

##

Library: wxBase

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxOutputStream, wxStdOutputStream

## Public Member Functions
| wxStdOutputStreamBuffer (wxOutputStream &stream)
| Creates a std::steambuf derived stream buffer which writes to a wxOutputStream.
virtual | ~wxStdOutputStreamBuffer ()
| Destructor.

## Constructor & Destructor Documentation

## ◆ wxStdOutputStreamBuffer()

wxStdOutputStreamBuffer::wxStdOutputStreamBuffer | ( | wxOutputStream & | stream | ) |

Creates a std::steambuf derived stream buffer which writes to a wxOutputStream.

Parameters

  stream | Stream to write to.

## ◆ ~wxStdOutputStreamBuffer()

virtual wxStdOutputStreamBuffer::~wxStdOutputStreamBuffer | ( |  | ) |
| virtual

Destructor.